<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item active" aria-current="page">Tickets</li>
    </ol>
  </nav>
   
  
  
  <div class="container w-100">
      <div class="row">
        <div class="col1">
              
          <div class="input-group mb-5">
              <div class="input-group-prepend">
                <label class="input-group-text" for="inputGroupSelectStatus">Status</label>
              </div>
              <select  [(ngModel)]="status" class="custom-select" id="inputGroupSelectStatus">
                <option value="-1">All</option>
                <option value="1">Queued</option>
                <option value="2">Doing</option>
                <option value="3">Blocked</option>
                <option value="4">Done</option>
              </select>
            </div>
          </div>

            
        <div class="col2">
          <div class="input-group mb-3">
              &nbsp;<div class="input-group-prepend">
                <label class="input-group-text" for="inputGroupSelectTechnical">Technical</label>
              </div>
              <select [(ngModel)]="technical" class="custom-select" id="inputGroupSelectTechnical">
                  <option value="-1" selected>All</option>
                <option *ngFor="let p of users; let i=index;" value="{{p.id}}">{{p.name}}</option>
              </select>
            </div>
        </div>
  
        <div class="col3">
            &nbsp;<button class="btn btn-success btn-sm" (click)="search()" role="button">Search</button>
        </div>
            
  
        <div class="col3">
            &nbsp;<button class="btn btn-success btn-sm" (click)="clear()" role="button">Clear</button>
        </div>
            
        <div class="col text-right">
            <a href="/ticket-add" class="badge badge-primary">Add a new Ticket</a>
        </div>
      </div>
  </div>
  
  <div class="w-100 mx-auto">
    <br><br>
    <table class="table table-striped">
      <thead>
        <tr>
          <th scope="col">ID</th>
          <th scope="col">Customer</th>
          <th scope="col">Equipment</th>
          <th scope="col">Technical</th>
          <th scope="col">Status</th>
          <th scope="col">Actions</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let p of tickets; let i=index;">
          <th scope="row">{{p.id}}</th>        
          <td>{{getCustomerName(p)}}</td>
          <td><span>{{p.equipment}}</span></td>
          <td>{{getTechnicalName(p)}}</td>
          <td>{{getTicketStatus(p)}}</td>
          
          <td class="actions">
              <a class="btn btn-success btn-sm" href="/ticket-history-add/{{p.id}}" role="button">Add a History</a>
              &nbsp;
              <a class="btn btn-outline-secondary btn-sm" href="/ticket-edit/{{p.id}}" role="button">Edit</a>
              &nbsp;
              <button type="button" class="btn btn-outline-danger btn-sm" (click)="delete(p.id)">Remove</button>
              &nbsp;
              <a class="btn btn-info btn-sm" href="/ticket-details/{{p.id}}" role="button">Details</a>
          </td>
        </tr> 
      </tbody>
    </table>
  </div>